[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# ExeSearch

Search for an executable

## Declaration

Source position: filutilh.inc line 190

`function ExeSearch(`
`const Name: UnicodeString;`
`const DirList: UnicodeString = ''`
`):UnicodeString; function ExeSearch(`
`const Name: RawByteString;`
`const DirList: RawByteString = ''`
`):RawByteString;`

## Description

ExeSearch searches for an executable Name in the list of directories DirList (a list of directories, separator by PathSeparator. If the current OS also searches implicitly in the current working directory, the current directory is searched in the first place.

If the executable is found, then the full path of the executable is returned. If it is not found, an empty string is returned.

No check is performed whether the found file is actually executable.

## See also

FileSearch |  | Search for a file in a path.